1.2

1.2

get /v1/access-keys

Description

List access keys

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : f39c460fade34fecb05ede8f904b24b7
any of [string, null]None
queryaccess_key_type
optional
Access key type
Example : PERMANENT
any of [string, null]None
queryparent_access_key_id
optional
Parent access key ID
Example : f39c460fade34fecb05ede8f904b24b7
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListAccessKeyResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/access-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"

Example HTTP response

Response 200

{
    "access_keys": [
        {
            "access_key": "b754b12b39da4ce29a40c5e324650bd0",
            "access_key_type": "PERMANENT",
            "account_id": "f39c460fade34fecb05ede8f904b24b7",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "description",
            "expiration_timestamp": "9999-12-31T23:59:59Z",
            "id": "6558fc9df5b54c8a985465bdf637e097",
            "is_enabled": "true",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "parent_access_key_id": "92d6eid9e9ae4f868s842910k11573a3",
            "secret_key": "c4150149-f7c6-46bc-9faa-d2b9d20e0899"
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/access-keys?with_count=true&limit=20",
            "rel": "first"
        },
        {
            "href": "http://scp.samsungsdscloud.com/v1/access-keys?with_count=true&limit=20",
            "rel": "self"
        }
    ]
}